-- Pull in the wezterm API
local wezterm = require 'wezterm'

-- This will hold the configuration.
local config = wezterm.config_builder()

-- This is where you actually apply your config choices

-- For example, changing the color scheme:
config.color_scheme = 'Pnevma'
config.window_padding = {
  left = 0,
  right = 0,
  top = 0,
  bottom = 0,
}

config.animation_fps = 60
config.default_cursor_style = 'BlinkingBar'

config.font = wezterm.font ("JetBrainsMono Nerd Font")
config.font = wezterm.font_with_fallback {"JetBrainsMono Nerd Font"}
config.hide_tab_bar_if_only_one_tab = true
config.show_tab_index_in_tab_bar = false
config.adjust_window_size_when_changing_font_size = true
-- and finally, return the configuration to wezterm
return config
